- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
libvisio::VSDParaStyle Struct Reference

`#include <VSDStyles.h>`

## Public Member Functions
| VSDParaStyle ()
| VSDParaStyle (unsigned cc, double ifst, double il, double ir, double sl, double sb, double sa, unsigned char a, unsigned f)
| VSDParaStyle (const VSDParaStyle &style)
| ~VSDParaStyle ()
void | override (const VSDOptionalParaStyle &style)

## Public Attributes
unsigned | charCount
double | indFirst
double | indLeft
double | indRight
double | spLine
double | spBefore
double | spAfter
unsigned char | align
unsigned | flags

## Constructor & Destructor Documentation

libvisio::VSDParaStyle::VSDParaStyle | ( |  | ) |
| inline

libvisio::VSDParaStyle::VSDParaStyle | ( | unsigned | cc,
|  | double | ifst,
|  | double | il,
|  | double | ir,
|  | double | sl,
|  | double | sb,
|  | double | sa,
|  | unsigned char | a,
|  | unsigned | f
| ) |  |
| inline

libvisio::VSDParaStyle::VSDParaStyle | ( | const VSDParaStyle & | style | ) |
| inline

libvisio::VSDParaStyle::~VSDParaStyle | ( |  | ) |
| inline

## Member Function Documentation

void libvisio::VSDParaStyle::override | ( | const VSDOptionalParaStyle & | style | ) |
| inline

Referenced by libvisio::VSDContentCollector::collectParaIX().

## Member Data Documentation

unsigned char libvisio::VSDParaStyle::align

Referenced by override().

unsigned libvisio::VSDParaStyle::charCount

Referenced by libvisio::VSDContentCollector::collectParaIX().

unsigned libvisio::VSDParaStyle::flags

Referenced by override().

double libvisio::VSDParaStyle::indFirst

Referenced by override().

double libvisio::VSDParaStyle::indLeft

Referenced by override().

double libvisio::VSDParaStyle::indRight

Referenced by override().

double libvisio::VSDParaStyle::spAfter

Referenced by override().

double libvisio::VSDParaStyle::spBefore

Referenced by override().

double libvisio::VSDParaStyle::spLine

Referenced by override().

The documentation for this struct was generated from the following file:

- VSDStyles.h